export { REPLACE_SIGN, MP_CONFIG_MODULE_NAME, KBONE_PAGE_KEYS, npmRegistry, remConfig, rpxConfig, OFFICIAL_LIB_KEY, } from '@cloudbase/lowcode-generator/lib/generator/config/index';
export declare const sharedMaterialsDir: string;
export declare const appTemplateDir: string;
export declare const materialsDirName = "materials";
/**
 * miniprogram的代码，IDE插件后续会提供端功能
 * 存放在大账号：100015939275。访问地址：https://console.cloud.tencent.com/cos/bucket?bucket=comp-public-1303824488&region=ap-shanghai&path=%252Flcap-builder%252F
 */
export declare const miniprogramURL = "https://comp-public-1303824488.file.myqcloud.com/lcap-builder/miniprogram_npm.1.8.57.zip";
export declare const cloudbaseMiniprogramURL = "https://comp-public-1303824488.file.myqcloud.com/lcap-builder/cloudbase_miniprogram_npm.1.8.57.zip";
export declare const systemSubpackageMiniprogramURL = "https://comp-public-1303824488.cos.ap-shanghai.myqcloud.com/lcap-builder/wd_system_miniprogram_npm.zip";
export declare const RUNTIME_CONFIG_URL = "https://comp-public-1303824488.file.myqcloud.com/release_config/runtime/exp_runtime.json";
/**
 * miniprogram_npm存放目录。IDE插件builder用到
 */
export declare const miniprogramDir: string;
export declare const cloudbaseMiniprogramDir: string;
export declare const systemSubpackageMiniprogramDir: string;
export interface ICDN_ENDPOINTS_COFIG {
    common?: string;
    cloudbase?: string;
    cdngo?: string;
    aegis?: string;
}
export declare const CDN_ENDPONTS_CONFIG: ICDN_ENDPOINTS_COFIG;
export declare function generateCdnEndpoints(endpoints?: ICDN_ENDPOINTS_COFIG): ICDN_ENDPOINTS_COFIG;
/**
 * 循环组件的信息
 */
export declare const REPEATER: {
    MODULE_NAME: string;
    REPEATER_NAME: string;
    REPEATER_ITEM_NAME: string;
};
